For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet market bbo
        • GETGet market bbo including all orders including RPI (as seen by the UI)
        • GETFunding data history
        • GETList available markets
        • GETOHLCV for a symbol
        • GETList available markets summary
        • GETGet market orderbook
        • GETGet market impact price
        • GETGet market interactive orderbook
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceMarkets

List available markets

GET
https://api.testnet.paradex.trade/v1/markets
GET
/v1/markets
$curl -X GET https://api.testnet.paradex.trade/v1/markets \
>-H 'Accept: application/json'
1{
2 "results": [
3 {
4 "asset_kind": "PERP",
5 "base_currency": "ETH",
6 "chain_details": {
7 "collateral_address": "0x1234567890",
8 "contract_address": "0x1234567890",
9 "fee_account_address": "0x1234567890",
10 "fee_maker": "0.01",
11 "fee_taker": "0.01",
12 "insurance_fund_address": "0x1234567890",
13 "liquidation_fee": "0.01",
14 "oracle_address": "0x1234567890",
15 "symbol": "ETH-USD-PERP"
16 },
17 "clamp_rate": "0.05",
18 "delta1_cross_margin_params": {
19 "imf_base": "0.11",
20 "imf_factor": "0",
21 "imf_shift": "0",
22 "mmf_factor": "0.51"
23 },
24 "expiry_at": 0,
25 "interest_rate": "0.01",
26 "market_kind": "cross",
27 "max_funding_rate": "0.05",
28 "max_funding_rate_change": "0.0005",
29 "max_open_orders": 100,
30 "max_order_size": "100",
31 "max_tob_spread": "0.2",
32 "min_notional": "10",
33 "open_at": 0,
34 "option_cross_margin_params": {
35 "imf": {
36 "long_itm": "0.2",
37 "premium_multiplier": "1.2",
38 "short_itm": "0.4",
39 "short_otm": "0.25",
40 "short_put_cap": "0.5"
41 },
42 "mmf": {
43 "long_itm": "0.2",
44 "premium_multiplier": "1.2",
45 "short_itm": "0.4",
46 "short_otm": "0.25",
47 "short_put_cap": "0.5"
48 }
49 },
50 "option_type": "PUT",
51 "oracle_ewma_factor": "0.2",
52 "order_size_increment": "0.001",
53 "position_limit": "500",
54 "price_bands_width": "0.05",
55 "price_feed_id": "GVXRSBjFk6e6J3NbVPXohDJetcTjaeeuykUpbQF8UoMU",
56 "price_tick_size": "0.01",
57 "quote_currency": "USD",
58 "settlement_currency": "USDC",
59 "strike_price": "66500",
60 "symbol": "ETH-USD-PERP"
61 }
62 ]
63}
Get markets static data component
Was this page helpful?
Previous

OHLCV for a symbol

Next
Built with

Query parameters

marketstringOptional

Market Name - example: BTC-USD-PERP

Response

OK
resultslist of objects
Array of results

Errors

404
Not Found Error